package com.catarc.traceability.repository.erp;

import com.catarc.traceability.entity.erp.*;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface KeyptmngRepository {


    @Select("SELECT * FROM (SELECT TO_NUMBER (\"ts\") as num,\"docname\", \"invtype\", \"invcode\", \"invname\", \"custname\", " +
            "\"stocknum\", \"ts\", \"delflag\" FROM KEYPTMNG )  WHERE num >= #{syncdate} ORDER BY　num ASC")
    List<Keyptmng> synchErpDatas(long syncdate);

    @Select("SELECT * FROM(SELECT TO_NUMBER (\"ts\") as num,\"vin\", \"weldon\", \"weldout\", \"painon\", \"painout\", \"fiton\", " +
            "\"fitout\", \"office\", \"invid\", \"invcode\", \"invname\", \"docname\", \"zpzh\", \"staff\", \"pkdef3\", \"ts\", " +
            "\"delflag\" FROM MUFACTMNG )   WHERE num >= #{syncdate} ORDER BY　num ASC")
    List<Mufactmng> synchMufactmng(long syncdate);

    @Select("SELECT * FROM(SELECT TO_NUMBER (\"ts\") as num,\"vreceiptcode\", \"custname\", \"dbilltime\", \"status\", \"svoapproval\", " +
            "\"invname\", \"vnote\", \"ts\", \"delflag\" FROM ORDERMNG )  WHERE num >= #{syncdate} ORDER BY　num ASC")
    List<Ordermng> synchOrdermng(long syncdate);

    @Select("SELECT * FROM(SELECT TO_NUMBER (\"ts\") as num,\"vordercode\", \"custname\", \"tmaketime\", \"deptname\", \"psnname\", " +
            "\"invcode\", \"invname\", \"docname\", \"nordernum\", \"ts\", \"delflag\" FROM PURCHSMNG )  WHERE num >= #{syncdate} ORDER BY" +
            "　num ASC")
    List<Purchsmng> synchPurchsmng(long syncdate);

    @Select("SELECT * FROM(SELECT TO_NUMBER (\"ts\") as num,\"vin\", \"pkdef6\", \"office\", \"result\", \"pkdef3\", \"pkmember\", \"pkresult\"," +
            " \"pkdef4\", \"pkpeople\", \"pkfinally\", \"ts\", \"delflag\" FROM QULTMNG ) WHERE num >= #{syncdate} ORDER BY　num ASC")
    List<Qultmng> synchQultmng(long syncdate);

    @Select("SELECT * FROM(SELECT TO_NUMBER (\"ts\") as num,\"vbillcode\", \"custname\", \"tmaketime\", \"deptname\", \"username\", " +
            "\"invcode\", \"invname\", \"docname\", \"ninnum\", \"ts\", \"delflag\" FROM STOCKINMNG ) WHERE num >= #{syncdate} " +
            " ORDER BY　num ASC")
    List<Stockinmng> synchStockinmng(long syncdate);

    @Select("SELECT * FROM(SELECT TO_NUMBER (\"ts\") as num,\"vbillcode\", \"tmaketime\", \"custname\", \"office\", \"member\", " +
            "\"vsourcebillcode\", \"teststatus\", \"transport\", \"location\", \"svoapproval\", \"invname\", \"noutnum\", \"vbatchcode\"," +
            " \"ts\", \"delflag\" FROM STOCKOUTMNG )  WHERE num >= #{syncdate} ORDER BY　num ASC")
    List<Stockoutmng> synchStockoutmng(long syncdate);

    @Select("SELECT * FROM(SELECT TO_NUMBER (\"ts\") as num,\"memo\", \"carname\", \"A00\", \"cartype\", \"stocknum\", \"invcode\", \"invname\"," +
            " \"graphid\", \"ts\", \"delflag\" FROM VECMNG )  WHERE num >= #{syncdate} ORDER BY　num ASC")
    List<Vecmng> synchVecmng(long syncdate);
}
